Last Comment Bug 1183872 - Reduce space consumption by logviewer-actionbar contents
: Reduce space consumption by logviewer-actionbar contents
Status: VERIFIED FIXED
:
Product: Tree Management
Classification: Other
Component: Treeherder: Log Viewer (show other bugs)
: ---
: All All
P3 normal
: ---
Assigned To: Jonathan French (:jfrench)
:
:
Mentors:
Depends on:
Blocks: 1182178 1183880
  Show dependency treegraph
 
Reported: 2015-07-14 15:13 PDT by Jonathan French (:jfrench)
Modified: 2015-07-30 12:14 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot (125.56 KB, image/png)
2015-07-15 06:00 PDT, Kartikaya Gupta (email:kats@mozilla.com)
no flags Details
logNavbarMock1 (132.64 KB, image/jpeg)
2015-07-23 13:25 PDT, Jonathan French (:jfrench)
no flags Details
PR 817 (46 bytes, text/x-github-pull-request)
2015-07-29 09:10 PDT, Jonathan French (:jfrench)
wlachance: review+
Details | Review | Splinter Review

Description User image Jonathan French (:jfrench) 2015-07-14 15:13:04 PDT
We presently have these full text-buttons in logviewer-actionbar:

[icon] open raw log
[icon] open analyser
[icon] show successful steps

In their current layout they consume an extra "line" of potential content under the steps container. We'd like to preserve their text identification rather than just icons, based on earlier user feedback.

We also had recent feedback from jgriffin expressing an interest that they take up less space. I'm curious if folks might be receptive for rawlog/analyser to any of:

1) integrating them into the RH side of the colored header "Result" bar (ie. to the right of "testfailed", "busted")
2) integrating them into some sort of dropdown 'Action menu' similar to Treeherder's resultsets bar, perhaps in the same location above (though might be annoying for quick reftest access)
3) integrating them into some sort of global logviewer navbar (would still consume a line)

and:
4a) doing something clever, obvious and inuitive with "show successful steps" which might allow us to not use its adjacent text

It's not an easy problem to solve, but soliciting a couple of logviewer and reftest analyser users for their opinions.

nb. I have a change for another bug and plan to reduce font size slightly for the entire upper container.
Comment 1 User image Jonathan French (:jfrench) 2015-07-14 15:18:40 PDT
Anyone on the recipient list also feel free to chime in :)
Comment 2 User image Kartikaya Gupta (email:kats@mozilla.com) 2015-07-15 06:00:32 PDT
Created attachment 8634060 [details]
Screenshot

FWIW this is what I see on the logviewer page. It seems to me that you can just move the actionbar over to the left column (under "Revision") and that would save you a line of space. Not sure what jgriffin was referring to when he asked that they take up less space - did he say he wanted more space for the log pane at the bottom? Or just that the buttons were too big and he wanted them taking up fewer pixels on screen? I don't really have an opinion on this either way, I always use the plaintext full log view rather than the logviewer (even when handed a link to the logviewer the first thing I do is go to the plaintext version).
Comment 3 User image Ryan VanderMeulen [:RyanVM] 2015-07-16 10:00:22 PDT
I wouldn't mind seeing a mockup of kats' suggestion with the buttons moved over to the left side.
Comment 4 User image Wes Kocher (:KWierso) 2015-07-16 10:16:05 PDT
It actually depends on how many failures are in the log (and how long the failure lines are). Currently, if there's only one or two failure lines (or the failures are short and succinct), the actionbar fits underneath the current right side.
Comment 5 User image Jonathan French (:jfrench) 2015-07-16 11:23:48 PDT
(side note) I'm also about to fully fill the left side (header/metadata) container with bug 1092209 by including the Job details tinderbox printlines, so I anticipate it the header will always overflow and use its full container height. Although we could still consider concept 1 or 2 posed in the Description. I'll try to mock something up when I get a chance.
Comment 6 User image David Baron :dbaron: ⌚️UTC-8 2015-07-23 12:22:07 PDT
My only comment would be that moving them to secondary UI, especially the reftest analyzer button, isn't great, since when I see a reftest failure link from bugzilla, I get to the logviewer page, and the only thing I do with it is use it to get to the reftest analyzer.  So I'd rather that link be easily visible.  That concern is specific to reftests, though.
Comment 7 User image Jonathan French (:jfrench) 2015-07-23 13:25:39 PDT
Created attachment 8638108 [details]
logNavbarMock1

Thanks everyone. Here's roughly what I'd like to propose then for the logviewer which is proposal 3) in comment 0. It also addresses bug 1183880 and while doesn't economize a line like my original proposals 1) or 2) it keeps the buttons as primary UI and allows for additional buttons later on without running out of space, as we would with the current layout.

It will also space for different controls in the navbar for later on. eg. a potential collapse/expand button for run-data container, etc.

I'm also proposing a navigation menu back to Treeherder via its logo button on the left side. Same as Treeherder and Perfherder. Even though we can do that indirectly via the 'Revision' link, it would be a global nav back to Treeherder's mozilla-inbound.

Let me know what you think.
Comment 8 User image Jonathan French (:jfrench) 2015-07-24 13:17:38 PDT
I've received positive feedback on the mock in channel from about half a dozen people, and no negative feedback, so I intend to start work on it next week.
Comment 9 User image Jonathan Griffin (:jgriffin) 2015-07-24 15:12:40 PDT
Nice, I like this too.
Comment 10 User image Jonathan French (:jfrench) 2015-07-29 09:10:53 PDT
Created attachment 8640546 [details] [review]
PR 817

Please see above PR for review at your leisure :)
Comment 11 User image William Lachance (:wlach) (use needinfo!) 2015-07-29 16:05:08 PDT
Comment on attachment 8640546 [details] [review]
PR 817

This looks great, nothing jumps out at me that I'd change.
Comment 12 User image Treeherder Bugbot 2015-07-30 11:44:40 PDT
Commit pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/77cac455dfd92c7fdfea9e5b11e885fb9e2ab068
Bug 1183872 - Improve logviewer layout with a navbar
Comment 13 User image Jonathan French (:jfrench) 2015-07-30 12:14:22 PDT
Marking fixed per above merge.
Comment 14 User image Jonathan French (:jfrench) 2015-07-30 12:14:59 PDT
And verified on both stage and prod.

Note You need to log in before you can comment on or make changes to this bug.